List Messages
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { messages, messageError } = await reloop.inbox.messages.list({6 mailboxId: "mbx_123456789",7 limit: 100,8});9if (messageError) throw messageError;1[2 {3 "id": "con_123456789",4 "mailboxId": "example_mailboxId",5 "organizationId": "example_organizationId",6 "fromEmail": "example_fromEmail",7 "fromName": "example_fromName",8 "toEmails": [9 "example_toEmails"10 ],11 "ccEmails": [12 "example_ccEmails"13 ],14 "bccEmails": [15 "example_bccEmails"16 ],17 "replyTo": "example_replyTo",18 "subject": "Welcome to Reloop",19 "textBody": "example_textBody",20 "htmlBody": "example_htmlBody",21 "snippet": "example_snippet",22 "size": 0,23 "status": "example_status",24 "isRead": true,25 "isStarred": true,26 "isSpam": true,27 "spamScore": 0,28 "messageId": "example_messageId",29 "threadId": "example_threadId",30 "inReplyTo": "example_inReplyTo",31 "references": [32 "example_references"33 ],34 "headers": {35 "company": "Reloop",36 "role": "Developer"37 },38 "date": "2026-03-23T10:00:00.000Z",39 "createdAt": "2026-03-23T10:00:00.000Z",40 "attachments": [41 {42 "id": "con_123456789",43 "inboundEmailId": "example_inboundEmailId",44 "filename": "example_filename",45 "contentType": "example_contentType",46 "size": 0,47 "storagePath": "example_storagePath",48 "contentDisposition": "example_contentDisposition",49 "contentId": "example_contentId",50 "createdAt": "2026-03-23T10:00:00.000Z"51 }52 ]53 }54]Query Parameters
mailboxIdstring
Filter messages by mailbox ID
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.